Recurring Billing Key Issuance API
The merchant server requests Hecto Financial to issue a recurring billing key. After account enrollment, call this API to obtain a recurring billing key for the enrolled account.
API Information
POST/v1/api/regular/reg
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/regular/reg운영
https://npay.settlebank.co.kr/v1/api/regular/regRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID.Customer ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
Bank code.
└custAcntKeyAN(50)Alphanumeric, up to 50 bytesAccount key — serial number of the enrolled direct debit account.
Account key — serial number of the enrolled direct debit account.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + mchtTrdNo + mchtCustId + reqDt + reqTm + bankCd + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number.
SFP_FRIM12345678901234567890Transaction reference number.
└rglChrgKeyAN(32)Alphanumeric, up to 32 bytes*Recurring billing key.
Recurring billing key.
Need technical support?
Code Samples
HectoFinancial GitHub